Package com.independentsoft.office.diagrams

# Enum Class ParameterType

java.lang.Object
java.lang.Enum<ParameterType>
com.independentsoft.office.diagrams.ParameterType

All Implemented Interfaces:
  `Serializable`, `Comparable<ParameterType>`, `Constable`

public enum ParameterType extends Enum<ParameterType>
The Enum ParameterType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASPECT_RATIO`
  `AUTO_TEXT_ROTATION`
  `BEGINNING_ARROWHEAD_STYLE`
  `BEGINNING_POINTS`
  `BEND_POINT`
  `BREAKPOINT`
  `BREAKPOINT_FIXED_VALUE`
  `CENTER_SHAPE_MAPPING`
  `CHILD_ALIGNMENT`
  `CHILD_DIRECTION`
  `CONNECTION_ROUTE`
  `CONNECTOR_DIMENSION`
  `CONTINUE_DIRECTION`
  `DESTINATION_NODE`
  `END_POINTS`
  `END_STYLE`
  `FALLBACK_SCALE`
  `FLOW_DIRECTION`
  `GROW_DIRECTION`
  `HIERARCHY_ALIGNMENT`
  `HORIZONTAL_ALIGNMENT`
  `LINE_SPACING_AFTER_CHILDREN_PARAGRAPH`
  `LINE_SPACING_AFTER_PARENT_PARAGRAPH`
  `LINE_SPACING_CHILDREN`
  `LINE_SPACING_PARENT`
  `LINEAR_DIRECTION`
  `NODE_HORIZONTAL_ALIGNMENT`
  `NODE_VERTICAL_ALIGNMENT`
  `NONE`
  `OFFSET`
  `PARENT_TEXT_LEFT_TO_RIGHT_ALIGNMENT`
  `PARENT_TEXT_RIGHT_TO_LEFT_ALIGNMENT`
  `PYRAMID_ACCENT_BACKGROUND_NODE`
  `PYRAMID_ACCENT_POSITION`
  `PYRAMID_ACCENT_TEXT_MARGIN`
  `PYRAMID_ACCENT_TEXT_NODE`
  `PYRAMID_LEVEL_NODE`
  `ROTATION_PATH`
  `ROUTE_SHORTEST_DISTANCE`
  `SECONDARY_CHILD_ALIGNMENT`
  `SECONDARY_LINEAR_DIRECTION`
  `SHAPE_TEXT_LEFT_TO_RIGHT_ALIGNMENT`
  `SHAPE_TEXT_RIGHT_TO_LEFT_ALIGNMENT`
  `SOURCE_NODE`
  `SPAN_ANGLE`
  `START_ANGLE`
  `START_BULLETS_AT_LEVEL`
  `START_ELEMENT`
  `TEXT_ALIGNMENT`
  `TEXT_ANCHOR_HORIZONTAL`
  `TEXT_ANCHOR_HORIZONTAL_WITH_CHILDREN`
  `TEXT_ANCHOR_VERTICAL`
  `TEXT_ANCHOR_VERTICAL_WITH_CHILDREN`
  `TEXT_BLOCK_DIRECTION`
  `TEXT_DIRECTION`
  `VERTICAL_ALIGNMENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ParameterType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ParameterType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXT_ALIGNMENT

    public static final ParameterType TEXT_ALIGNMENT

  - ### ASPECT_RATIO

    public static final ParameterType ASPECT_RATIO

  - ### AUTO_TEXT_ROTATION

    public static final ParameterType AUTO_TEXT_ROTATION

  - ### BEGINNING_POINTS

    public static final ParameterType BEGINNING_POINTS

  - ### BEGINNING_ARROWHEAD_STYLE

    public static final ParameterType BEGINNING_ARROWHEAD_STYLE

  - ### BEND_POINT

    public static final ParameterType BEND_POINT

  - ### BREAKPOINT

    public static final ParameterType BREAKPOINT

  - ### BREAKPOINT_FIXED_VALUE

    public static final ParameterType BREAKPOINT_FIXED_VALUE

  - ### CHILD_ALIGNMENT

    public static final ParameterType CHILD_ALIGNMENT

  - ### CHILD_DIRECTION

    public static final ParameterType CHILD_DIRECTION

  - ### CONNECTION_ROUTE

    public static final ParameterType CONNECTION_ROUTE

  - ### CONTINUE_DIRECTION

    public static final ParameterType CONTINUE_DIRECTION

  - ### CENTER_SHAPE_MAPPING

    public static final ParameterType CENTER_SHAPE_MAPPING

  - ### CONNECTOR_DIMENSION

    public static final ParameterType CONNECTOR_DIMENSION

  - ### DESTINATION_NODE

    public static final ParameterType DESTINATION_NODE

  - ### END_POINTS

    public static final ParameterType END_POINTS

  - ### END_STYLE

    public static final ParameterType END_STYLE

  - ### FALLBACK_SCALE

    public static final ParameterType FALLBACK_SCALE

  - ### FLOW_DIRECTION

    public static final ParameterType FLOW_DIRECTION

  - ### GROW_DIRECTION

    public static final ParameterType GROW_DIRECTION

  - ### HIERARCHY_ALIGNMENT

    public static final ParameterType HIERARCHY_ALIGNMENT

  - ### HORIZONTAL_ALIGNMENT

    public static final ParameterType HORIZONTAL_ALIGNMENT

  - ### LINEAR_DIRECTION

    public static final ParameterType LINEAR_DIRECTION

  - ### LINE_SPACING_AFTER_CHILDREN_PARAGRAPH

    public static final ParameterType LINE_SPACING_AFTER_CHILDREN_PARAGRAPH

  - ### LINE_SPACING_AFTER_PARENT_PARAGRAPH

    public static final ParameterType LINE_SPACING_AFTER_PARENT_PARAGRAPH

  - ### LINE_SPACING_CHILDREN

    public static final ParameterType LINE_SPACING_CHILDREN

  - ### LINE_SPACING_PARENT

    public static final ParameterType LINE_SPACING_PARENT

  - ### NODE_HORIZONTAL_ALIGNMENT

    public static final ParameterType NODE_HORIZONTAL_ALIGNMENT

  - ### NODE_VERTICAL_ALIGNMENT

    public static final ParameterType NODE_VERTICAL_ALIGNMENT

  - ### OFFSET

    public static final ParameterType OFFSET

  - ### PARENT_TEXT_LEFT_TO_RIGHT_ALIGNMENT

    public static final ParameterType PARENT_TEXT_LEFT_TO_RIGHT_ALIGNMENT

  - ### PARENT_TEXT_RIGHT_TO_LEFT_ALIGNMENT

    public static final ParameterType PARENT_TEXT_RIGHT_TO_LEFT_ALIGNMENT

  - ### PYRAMID_ACCENT_BACKGROUND_NODE

    public static final ParameterType PYRAMID_ACCENT_BACKGROUND_NODE

  - ### PYRAMID_ACCENT_POSITION

    public static final ParameterType PYRAMID_ACCENT_POSITION

  - ### PYRAMID_ACCENT_TEXT_MARGIN

    public static final ParameterType PYRAMID_ACCENT_TEXT_MARGIN

  - ### PYRAMID_ACCENT_TEXT_NODE

    public static final ParameterType PYRAMID_ACCENT_TEXT_NODE

  - ### PYRAMID_LEVEL_NODE

    public static final ParameterType PYRAMID_LEVEL_NODE

  - ### ROTATION_PATH

    public static final ParameterType ROTATION_PATH

  - ### ROUTE_SHORTEST_DISTANCE

    public static final ParameterType ROUTE_SHORTEST_DISTANCE

  - ### SECONDARY_CHILD_ALIGNMENT

    public static final ParameterType SECONDARY_CHILD_ALIGNMENT

  - ### SECONDARY_LINEAR_DIRECTION

    public static final ParameterType SECONDARY_LINEAR_DIRECTION

  - ### SHAPE_TEXT_LEFT_TO_RIGHT_ALIGNMENT

    public static final ParameterType SHAPE_TEXT_LEFT_TO_RIGHT_ALIGNMENT

  - ### SHAPE_TEXT_RIGHT_TO_LEFT_ALIGNMENT

    public static final ParameterType SHAPE_TEXT_RIGHT_TO_LEFT_ALIGNMENT

  - ### SPAN_ANGLE

    public static final ParameterType SPAN_ANGLE

  - ### SOURCE_NODE

    public static final ParameterType SOURCE_NODE

  - ### START_ANGLE

    public static final ParameterType START_ANGLE

  - ### START_BULLETS_AT_LEVEL

    public static final ParameterType START_BULLETS_AT_LEVEL

  - ### START_ELEMENT

    public static final ParameterType START_ELEMENT

  - ### TEXT_ANCHOR_HORIZONTAL

    public static final ParameterType TEXT_ANCHOR_HORIZONTAL

  - ### TEXT_ANCHOR_HORIZONTAL_WITH_CHILDREN

    public static final ParameterType TEXT_ANCHOR_HORIZONTAL_WITH_CHILDREN

  - ### TEXT_ANCHOR_VERTICAL

    public static final ParameterType TEXT_ANCHOR_VERTICAL

  - ### TEXT_ANCHOR_VERTICAL_WITH_CHILDREN

    public static final ParameterType TEXT_ANCHOR_VERTICAL_WITH_CHILDREN

  - ### TEXT_BLOCK_DIRECTION

    public static final ParameterType TEXT_BLOCK_DIRECTION

  - ### TEXT_DIRECTION

    public static final ParameterType TEXT_DIRECTION

  - ### VERTICAL_ALIGNMENT

    public static final ParameterType VERTICAL_ALIGNMENT

  - ### NONE

    public static final ParameterType NONE

- ## Method Details

  - ### values

    public static ParameterType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ParameterType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null